import { StiModelService } from "./model.service";
import { StiDraggableService } from "./sti-draggable.service";
import { StiHelperService } from "./sti-helper.service";
import { StiNameService } from "./sti-name.service";
export declare class FormEventsService {
    model: StiModelService;
    helper: StiHelperService;
    draggableService: StiDraggableService;
    nameService: StiNameService;
    copiedComponent: any;
    get hasCopy(): boolean;
    static dateToJsonDate(date: Date): string;
    get canCopy(): boolean;
    get canMoveUp(): boolean;
    get currentPage(): import("../elements/StiFormPageElement").StiFormPageElement;
    get canMoveDown(): boolean;
    get canDelete(): boolean;
    get canClear(): boolean;
    pasteComponent(event: MouseEvent): void;
    copyComponent(): void;
    cutComponent(): void;
    deleteComponent(): void;
    moveUp(): void;
    moveDown(): void;
    insertAfter(): void;
    insertBefore(): void;
    clear(): void;
    delete(): void;
    constructor(model: StiModelService, helper: StiHelperService, draggableService: StiDraggableService, nameService: StiNameService);
}
